<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@F001=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pd@F652=0C0C0C0C</action>
      <action>maincpu.pd@F656=0C0C0C0C</action>
      <action>maincpu.pw@F65A=0C0C</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>See the Dip Switch Menu to enable an alternate Invincibility cheat.</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@115E</action>
    </script>
    <script state="run">
      <action>maincpu.mb@115E=18</action>
    </script>
    <script state="off">
      <action>maincpu.mb@115E=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@F422=FF</action>
    </script>
  </cheat>

  <cheat desc="Enemies Don't Shoot">
    <script state="run">
      <action>maincpu.pb@F0F0=0F</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@F0BF=0B</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@F0D3=0B</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Skip RAM/ROM Check"> <comment>It's better to use together with Pre-Enable</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@217A</action>
      <action>temp1 =maincpu.md@20F3</action>
    </script>
    <script state="run">
      <action>maincpu.mb@217A=00</action>
      <action>maincpu.md@20F3=00009EC3|(maincpu.md@20F3 BAND ~00FFFFFF)</action> <!-- 1st = RAM Check, 2nd = ROM Check -->
    </script>
    <script state="off">
      <action>maincpu.mb@217A=temp0 </action>
      <action>maincpu.md@20F3=temp1 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
